Filebeat and CentOS 5


#1

As described in this post (Logstash forwarder with multiple log source types), neither filebeat nor logstash work with CentOS 5 kernel 2.6.18-408. I have several machines with this kernel, and would really like to get either (preferably filebeat) working in them. Has anyone succeeded in doing so?

Thanks.


(ruflin) #2

The main issue on the filebeat side is that Golang only supports Kernel 2.6.23 and later (see https://golang.org/doc/install). There are some threads online that people got some Golang apps running under CentOS 5.x but it always sounds quite hacky and it seems to be older Golang versions.


(system) #3